Bug 76386 - [snb blorp] GPU crash on Asus P8H61-M LX3 PLUS R2 mother board with Intel i3-2120
Summary: [snb blorp] GPU crash on Asus P8H61-M LX3 PLUS R2 mother board with Intel i3-...
Status: RESOLVED MOVED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Drivers/DRI/i965 (show other bugs)
Version: unspecified
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Intel 3D Bugs Mailing List
QA Contact: Intel 3D Bugs Mailing List
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-03-20 09:58 UTC by Frédéric MASSOT
Modified: 2019-09-25 18:50 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments
GPU crash dump (2.14 MB, text/plain)
2014-03-20 09:58 UTC, Frédéric MASSOT
Details
dmesg file (49.18 KB, text/plain)
2014-03-20 09:58 UTC, Frédéric MASSOT
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Frédéric MASSOT 2014-03-20 09:58:05 UTC
Created attachment 96087 [details]
GPU crash dump

Hi,

I had this GPU crash on a Debian Linux PC:

Mar 20 09:33:45 yuggs kernel: [   42.772483] [drm] stuck on render ring
Mar 20 09:33:45 yuggs kernel: [   42.772488] [drm] GPU crash dump saved to /sys/class/drm/card0/error
Mar 20 09:33:45 yuggs kernel: [   42.772489] [drm] GPU hangs can indicate a bug anywhere in the entire gfx stack, including userspace.
Mar 20 09:33:45 yuggs kernel: [   42.772490] [drm] Please file a _new_ bug report on bugs.freedesktop.org against DRI -> DRM/Intel
Mar 20 09:33:45 yuggs kernel: [   42.772491] [drm] drm/i915 developers can then reassign to the right component if it's not a kernel issue.
Mar 20 09:33:45 yuggs kernel: [   42.772491] [drm] The gpu crash dump is required to analyze gpu hangs, so please always attach it.
Mar 20 09:33:45 yuggs kernel: [   42.775090] [drm:i915_set_reset_status] *ERROR* render ring hung inside bo (0x2898000 ctx 1) at 0x2898220

Package versions:
xorg : 1:7.7+6
xserver-xorg-core : 2:1.15.0-2
xserver-xorg-video-intel : 2:2.21.15-2+b1

Attached the crash dump file and dmesg

Regards.
Comment 1 Frédéric MASSOT 2014-03-20 09:58:52 UTC
Created attachment 96088 [details]
dmesg file
Comment 2 Chris Wilson 2014-03-20 10:05:08 UTC
Before writing it off as another blorp hang probably fixed in 10.0 or 10.1, have a look at the state and wonder.
Comment 3 Kenneth Graunke 2014-03-23 08:00:08 UTC
Chris, did you have a specific observation about the state you'd like to point out?

It does strike me as a bit odd that the PIPE_CONTROL which supposedly hung is in the batch, and appears to be the start of a valid workaround sequence.  i.e. this /is/ the thing we've been applying to fix problems.
Comment 4 Matt Turner 2017-03-22 02:21:09 UTC
Please reopen if you can still reproduce with Mesa 17.0.
Comment 5 GitLab Migration User 2019-09-25 18:50:27 UTC
-- GitLab Migration Automatic Message --

This bug has been migrated to freedesktop.org's GitLab instance and has been closed from further activity.

You can subscribe and participate further through the new bug through this link to our GitLab instance: https://gitlab.freedesktop.org/mesa/mesa/issues/1419.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.